File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
http://aspose.com/file-tools
Win a copy of Clojure in Action this week in the Clojure forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Eclipse on lInux; Warnings while running eclipse

 
Ravi Sathish
Ranch Hand
Posts: 131
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Ranchers

I Installed Eclipse 3.0.1 on Redhat Linux 9, my JDK is 1.4.*

i am getting this warning when I run Eclipse

** (<unknown>:12975): WARNING **: pango-layout.c:2435: broken PangoLayout

1> Is there something wrong with installation? Do I need to reinstall?

2> Do I need to be concerned...

3> Has anybody faced this error? Any get arounds?

Thanks
Ravi
 
Ernest Friedman-Hill
author and iconoclast
Marshal
Pie
Posts: 24204
34
Chrome Eclipse IDE Mac OS X
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I get this too! It's not too sensitive to Eclipse version, as several versions have done this for me. It is sensitive to GTK version, as this only happens on one machine for me.

I did a little research on this when I first saw it, and the message is coming from the GTK2 libs. It's (obviously) a debug print left in by accident. On my offending machine, rpm -q reports

gtk2-2.0.6.0.200209120107-0.snap.ximian.1
gtk2-devel-2.0.6.0.200209120107-0.snap.ximian.1

i.e., a snapshot. No wonder it has extra messages in it.

Anyway, it's not harmful, as far as I can tell. If it really bothers you, try to upgrade GTK2. One of these days I'll get around to doing that myself.
 
I agree. Here's the link: http://aspose.com/file-tools
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic